CTANH(3)

NAME
ctanh, ctanhf, ctanhl - complex hyperbolic tangent

SYNOPSIS
#include <complex.h>
double complex
ctanh(double complex z);
float complex
ctanhf(float complex z);
long double complex
ctanhl(long double complex z);

DESCRIPTION
The ctanh(), ctanhf() and ctanhl() functions compute the complex hyperbolic tangent of z.

If z = x + iy, then

    ctanh(z) = (sinh(2x) + i sin(2y)) / (cosh(2x) + cos(2y)).

RETURN VALUES
The ctanh(), ctanhf() and ctanhl() functions return the complex hyperbolic tangent of z.

SEE ALSO
ccosh(3), csinh(3)

STANDARDS
The ctanh(), ctanhf() and ctanhl() functions conform to isoC-99.